Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBugCategory Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| getAll ()
| id ()
| name ( $html=true)
| description ( $html=true)
| setName ( $value)
| setDescription ( $value)
| addBug ( $value)
| bugs ( $sortMode="time", $fetchUnhandled=true, $offset=0, $limit=50)

## Public Attributes
| $ID
| $Name
| $Description

## Detailed Description

! eZBug eZBugCategory handles bug categories.

Example code:

// include the class
// include_once( "ezbug/classes/ezbugcategory.php" );
// create a new class object
$category = new eZBugCategory();
// Set some object values and store them to the database.
$category->setName( "GUI related" );
$category->setDescription( "This is bugs reported which are related to GUI issues." );
$category->store();
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
eZBugCategory
Definition: ezbugcategory.php:55

See also
  eZBug eZBugModule

TODO

Definition at line 54 of file ezbugcategory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBugCategory::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZBugCategory object.

If $id is set the object's values are fetched from the database.

Definition at line 62 of file ezbugcategory.php.

References $ID, and $id.

## Member Function Documentation

## ◆ addBug()

eZBugCategory::addBug | ( |  | $value | ) |

Adds a bug to the category.

Definition at line 228 of file ezbugcategory.php.

References $db, $query, $res, and eZDB\globalDatabase().

## ◆ bugs()

eZBugCategory::bugs | ( |  | $sortMode = `"time"`,
|  |  | $fetchUnhandled = `true`,
|  |  | $offset = `0`,
|  |  | $limit = `50`
| ) |  |

Returns every bug in a category as a array of eZBug objects.

If $fetchUnhandled is set to true the bugs which is not yet handled are also returned.

Definition at line 258 of file ezbugcategory.php.

References $db, $i, $limit, $offset, and eZDB\globalDatabase().

## ◆ delete()

eZBugCategory::delete | ( |  | ) |

Deletes a eZBugGroup object from the database.

Definition at line 113 of file ezbugcategory.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ description()

eZBugCategory::description | ( |  | $html = `true` | ) |

Returns the group description.

Definition at line 201 of file ezbugcategory.php.

References $Description.

## ◆ get()

eZBugCategory::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 137 of file ezbugcategory.php.

References $category_array, $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZBugCategory::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZBugCategory objects.

Definition at line 162 of file ezbugcategory.php.

References $category_array, $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZBugCategory::id | ( |  | ) |

Returns the object ID to the category. This is the unique ID stored in the database.

Definition at line 182 of file ezbugcategory.php.

References $ID.

## ◆ name()

eZBugCategory::name | ( |  | $html = `true` | ) |

Returns the name of the category.

Definition at line 190 of file ezbugcategory.php.

References $Name, and Name.

## ◆ setDescription()

eZBugCategory::setDescription | ( |  | $value | ) |

Sets the description of the category.

Definition at line 220 of file ezbugcategory.php.

## ◆ setName()

eZBugCategory::setName | ( |  | $value | ) |

Sets the name of the category.

Definition at line 212 of file ezbugcategory.php.

References Name.

## ◆ store()

eZBugCategory::store | ( |  | ) |

Stores a eZBugCategory object to the database.

Definition at line 74 of file ezbugcategory.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZBugCategory::$Description

Definition at line 311 of file ezbugcategory.php.

Referenced by description().

## ◆ $ID

eZBugCategory::$ID

Definition at line 309 of file ezbugcategory.php.

Referenced by __construct(), and id().

## ◆ $Name

eZBugCategory::$Name

Definition at line 310 of file ezbugcategory.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezbugcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.